Subject: Re: bug#56459: 29.0.50; Edebug disables Eldoc

From: Noah Friedman <[email-masked]>
Date: Sun, 31 Jul 2022 19:52:23 -0700 (PDT)

>Noah, can you verify that your original problem cannot be reproduced
>if we remove the condition in eldoc-display-message-no-interference-p
>that you added?

So in the current snapshot I'm running, 9dc0fdfdc1 (2022-07-02 07:04:32),
it looks like the check for edebug mode was removed already and the
behavior is still that only the edebug results are visible; that is,
eldoc's messages aren't covering up the edebug messages, but they aren't
showing up below them either and they're not even showing up in any mode
line.

So the practical upshot is, I see no change in behavior; whatever
motivated that change seems to be a non-issue now.